org.eclipse.oomph.setup.p2

## Interface P2Task

- All Superinterfaces:
    EObject, ModelElement, Notifier, SetupTask
  All Known Implementing Classes:
    P2TaskImpl

      public interface P2Task
      extends SetupTask

  A representation of the model object 'Install Task'.

  The following features are supported:

  - `Label`
  - `Requirements`
  - `Repositories`
  - `License Confirmation Disabled`
  - `Merge Disabled`
  See Also:
    `SetupP2Package.getP2Task()`
  Generated
  Model

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROP_SKIP`

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLabel()` Returns the value of the 'Label' attribute.
    `EList<Repository>` | `getRepositories()` Returns the value of the 'Repositories' containment reference list.
    `EList<Requirement>` | `getRequirements()` Returns the value of the 'Requirements' containment reference list.
    `boolean` | `isLicenseConfirmationDisabled()` Returns the value of the 'License Confirmation Disabled' attribute.
    `boolean` | `isMergeDisabled()` Returns the value of the 'Merge Disabled' attribute.
    `void` | `setLabel(String value)` Sets the value of the '`Label`' attribute.
    `void` | `setLicenseConfirmationDisabled(boolean value)` Sets the value of the '`License Confirmation Disabled`' attribute.
    `void` | `setMergeDisabled(boolean value)` Sets the value of the '`Merge Disabled`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `consolidate, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, isNeeded, overrideFor, perform, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### PROP_SKIP

          static final String PROP_SKIP

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getLabel

          String getLabel()

      Returns the value of the 'Label' attribute.

      If the meaning of the 'Label' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `SetupP2Package.getP2Task_Label()`
      Generated
      Model

    - #### setLabel

          void setLabel(String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`
      Generated

    - #### getRequirements

          EList<Requirement> getRequirements()

      Returns the value of the 'Requirements' containment reference list. The list contents are of type `Requirement`.

      If the meaning of the 'Requirements' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Requirements' containment reference list.
      See Also:
        `SetupP2Package.getP2Task_Requirements()`
      Generated
      Model
        containment="true" extendedMetaData="name='requirement'"

    - #### getRepositories

          EList<Repository> getRepositories()

      Returns the value of the 'Repositories' containment reference list. The list contents are of type `Repository`.

      If the meaning of the 'Repositories' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Repositories' containment reference list.
      See Also:
        `SetupP2Package.getP2Task_Repositories()`
      Generated
      Model
        containment="true" extendedMetaData="name='repository'"

    - #### isLicenseConfirmationDisabled

          boolean isLicenseConfirmationDisabled()

      Returns the value of the 'License Confirmation Disabled' attribute.

      If the meaning of the 'Disable License Confirmation' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'License Confirmation Disabled' attribute.
      See Also:
        `setLicenseConfirmationDisabled(boolean)`, `SetupP2Package.getP2Task_LicenseConfirmationDisabled()`
      Generated
      Model

    - #### setLicenseConfirmationDisabled

          void setLicenseConfirmationDisabled(boolean value)

      Sets the value of the '`License Confirmation Disabled`' attribute.
      Parameters:
        `value` - the new value of the 'License Confirmation Disabled' attribute.
      See Also:
        `isLicenseConfirmationDisabled()`
      Generated

    - #### isMergeDisabled

          boolean isMergeDisabled()

      Returns the value of the 'Merge Disabled' attribute.

      If the meaning of the 'Merge Disabled' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Merge Disabled' attribute.
      See Also:
        `setMergeDisabled(boolean)`, `SetupP2Package.getP2Task_MergeDisabled()`
      Generated
      Model

    - #### setMergeDisabled

          void setMergeDisabled(boolean value)

      Sets the value of the '`Merge Disabled`' attribute.
      Parameters:
        `value` - the new value of the 'Merge Disabled' attribute.
      See Also:
        `isMergeDisabled()`
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html